package genesom;

abstract class NodeVisitor
{
  protected Map map;
  protected Node start_node;

  public void setStartNode(Node sn) { start_node = sn; }
  public void setMap(Map m) { map = m; }

  abstract public boolean at(Node cn);
  abstract public void setCallback(Object o);
}
